<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel" version="12.2.1.9.14" id="emplsViewPageDef"
                Package="com.redsamurai.view.pageDefs.fragments">
  <parameters/>
  <executables>
    <variableIterator id="variables"/>
    <iterator Binds="EmployeesView1" RangeSize="25" DataControl="HrModuleDataControl" id="EmployeesView1Iterator"/>
  </executables>
  <bindings>
    <attributeValues IterBinding="EmployeesView1Iterator" id="EmployeeId">
      <AttrNames>
        <Item Value="EmployeeId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="FirstName">
      <AttrNames>
        <Item Value="FirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="LastName">
      <AttrNames>
        <Item Value="LastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="Email">
      <AttrNames>
        <Item Value="Email"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="PhoneNumber">
      <AttrNames>
        <Item Value="PhoneNumber"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="HireDate">
      <AttrNames>
        <Item Value="HireDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="JobId">
      <AttrNames>
        <Item Value="JobId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="Salary">
      <AttrNames>
        <Item Value="Salary"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="CommissionPct">
      <AttrNames>
        <Item Value="CommissionPct"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="ManagerId">
      <AttrNames>
        <Item Value="ManagerId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="EmployeesView1Iterator" id="DepartmentId">
      <AttrNames>
        <Item Value="DepartmentId"/>
      </AttrNames>
    </attributeValues>
    <action IterBinding="EmployeesView1Iterator" id="First" RequiresUpdateModel="true" Action="first"/>
    <action IterBinding="EmployeesView1Iterator" id="Previous" RequiresUpdateModel="true" Action="previous"/>
    <action IterBinding="EmployeesView1Iterator" id="Next" RequiresUpdateModel="true" Action="next"/>
    <action IterBinding="EmployeesView1Iterator" id="Last" RequiresUpdateModel="true" Action="last"/>
  </bindings>
</pageDefinition>
